part of mapmyindia_gl_platform_interface;

class MapmyIndiaStyle {
  final String? description;
  final String? displayName;
  final String? imageUrl;
  final String? name;

  MapmyIndiaStyle(
      {this.description, this.displayName, this.imageUrl, this.name});

  dynamic toJson() {
    final Map<String, dynamic> json = <String, dynamic>{};

    void addIfPresent(String fieldName, dynamic value) {
      if (value != null) {
        json[fieldName] = value;
      }
    }

    addIfPresent('description', description);
    addIfPresent('displayName', displayName);
    addIfPresent('imageUrl', imageUrl);
    addIfPresent('name', name);
    return json;
  }

  static MapmyIndiaStyle fromJson(dynamic map) {
    return MapmyIndiaStyle(
      description: map['description'] as String?,
      displayName: map['displayName'] as String?,
      imageUrl: map['imageUrl'] as String?,
      name: map['name'] as String?,
    );
  }
}
