part of mapmyindia_gl_platform_interface;

class MapmyIndiaGeoAnalyticsDetail {
  Map<dynamic, dynamic>? properties;
  MapmyIndiaGeoAnalyticsType? type;
  String? id;

  static MapmyIndiaGeoAnalyticsDetail fromMap(Map<dynamic, dynamic> map) {
    MapmyIndiaGeoAnalyticsDetail geoAnalyticsDetail =
        MapmyIndiaGeoAnalyticsDetail();
    if (map.containsKey('properties')) {
      geoAnalyticsDetail.properties =
          (map['properties'] as dynamic) as Map<dynamic, dynamic>;
    }
    if (map.containsKey('type')) {
      geoAnalyticsDetail.type =
          MapmyIndiaGeoAnalyticsType.values[map['type'] as int];
    }
    if (map.containsKey('id')) {
      geoAnalyticsDetail.id = map['id'] as String?;
    }

    return geoAnalyticsDetail;
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> map = {};
    if (properties != null) {
      map['properties'] = properties;
    }
    if (type != null) {
      map['type'] = type?.index;
    }
    if (id != null) {
      map['id'] = id;
    }
    return map;
  }
}
